List Webhook Deliveries
GET
/v2/webhook-endpoints/{id}/deliveriesAuthorization
AuthorizationBearer token · headerrequiredMerchant API key scoped to one merchant and environment. Read operations require api:read, normal write operations require api:write, and broadcast mutations also require explicit broadcasts:write.
Path parameters
idstring<uuid>requiredQuery parameters
limitintegermin 1 · max 100 · default: 25
cursorstringmin length 1
Header parameters
x-request-idstringOptional caller-provided request correlation ID.
min length 1
Responses
200OK
nextCursorstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anydeliveriesobject[]requiredShow propertiesHide properties
Array of
objectidstring<uuid>requiredeventIdstring<uuid>requiredeventScopestringrequiredAllowed:
organizationcommerceendpointIdstring<uuid>requiredendpointScopestringrequiredAllowed:
organizationsandboxproductionmerchantIdstring<uuid>requiredenvironmentstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anystatusstringrequiredAllowed:
pendingprocessingsucceededfailedattemptCountintegerrequiredmin 0 · max 9007199254740991
lastAttemptAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anylastResponseStatusCodeinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anylastResponseSummarystring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anylastFailureCodestring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anysucceededAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyfailedAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>required401Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject403Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject404Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject409Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject422Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject429Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject500Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobjectRequest
curl -X GET "https://api.cipay.net/v2/webhook-endpoints/%3Cuuid%3E/deliveries" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.cipay.net/v2/webhook-endpoints/%3Cuuid%3E/deliveries", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});Response
{
"nextCursor": "string",
"deliveries": [
{
"id": "<uuid>",
"eventId": "<uuid>",
"eventScope": "organization",
"endpointId": "<uuid>",
"endpointScope": "organization",
"merchantId": "<uuid>",
"environment": "sandbox",
"status": "pending",
"attemptCount": 0,
"lastAttemptAt": "2024-01-01T00:00:00Z",
"lastResponseStatusCode": 0,
"lastResponseSummary": "string",
"lastFailureCode": "string",
"succeededAt": "2024-01-01T00:00:00Z",
"failedAt": "2024-01-01T00:00:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}
]
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}